Package twisted :: Package lore :: Module docbook :: Class DocbookSpitter

[show private | hide private]
[frames | no frames]

## Class DocbookSpitter

    BaseLatexSpitter --+
                       |
                      DocbookSpitter

Method Summary
| `__init__(self, writer, currDir, filename)` (inherited from `BaseLatexSpitter`)
| `visitNode(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_a(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_a_href(self, node)`
| `visitNode_a_listing(self, node)`
| `visitNode_a_name(self, node)`
| `visitNode_body(self, node)`
| `visitNode_div(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_h1(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_h2(self, node)`
| `visitNode_h3(self, node)`
| `visitNode_h4(self, node)`
| `visitNode_li(self, node)`
| `visitNode_span(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_style(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNodeDefault(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNodeHeader(self, node)`
| `writeNodeData(self, node)`

Class Variable Summary
`int` | `currentLevel`
`str` | `end_dd`
`str` | `end_div_note`
`str` | `end_dl`
`str` | `end_dt`
`str` | `end_em`
`str` | `end_h2`
`str` | `end_h3`
`str` | `end_h4`
`str` | `end_li`
`str` | `end_ol`
`str` | `end_p`
`str` | `end_pre`
`str` | `end_q`
`str` | `end_span_footnote`
`str` | `end_strong`
`str` | `end_title`
`str` | `end_ul`
`str` | `start_dd`
`str` | `start_div_note`
`str` | `start_dl`
`str` | `start_dt`
`str` | `start_em`
`str` | `start_li`
`str` | `start_ol`
`str` | `start_p`
`str` | `start_pre`
`str` | `start_q`
`str` | `start_span_footnote`
`str` | `start_strong`
`str` | `start_title`
`str` | `start_ul`

Class Variable Details

### currentLevel

  Type:
    `int`
  Value:

        1

### end_dd

  Type:
    `str`
  Value:

        '</para></listitem></varlistentry>'

### end_div_note

  Type:
    `str`
  Value:

        '</note>'

### end_dl

  Type:
    `str`
  Value:

        '</variablelist>'

### end_dt

  Type:
    `str`
  Value:

        '</term>'

### end_em

  Type:
    `str`
  Value:

        '</emphasis>'

### end_h2

  Type:
    `str`
  Value:

        '</title><para />'

### end_h3

  Type:
    `str`
  Value:

        '</title><para />'

### end_h4

  Type:
    `str`
  Value:

        '</title><para />'

### end_li

  Type:
    `str`
  Value:

        '</listitem>'

### end_ol

  Type:
    `str`
  Value:

        '</orderedlist>'

### end_p

  Type:
    `str`
  Value:

        '</para>'

### end_pre

  Type:
    `str`
  Value:

        '</programlisting>'

### end_q

  Type:
    `str`
  Value:

        '"'

### end_span_footnote

  Type:
    `str`
  Value:

        '</para></footnote>'

### end_strong

  Type:
    `str`
  Value:

        '</emphasis>'

### end_title

  Type:
    `str`
  Value:

        '</title><para />'

### end_ul

  Type:
    `str`
  Value:

        '</itemizedlist>'

### start_dd

  Type:
    `str`
  Value:

        '<listitem><para>'

### start_div_note

  Type:
    `str`
  Value:

        '<note>'

### start_dl

  Type:
    `str`
  Value:

        '<variablelist>'

### start_dt

  Type:
    `str`
  Value:

        '<varlistentry><term>'

### start_em

  Type:
    `str`
  Value:

        '<emphasis>'

### start_li

  Type:
    `str`
  Value:

        '<listitem>'

### start_ol

  Type:
    `str`
  Value:

        '<orderedlist>'

### start_p

  Type:
    `str`
  Value:

        '<para>'

### start_pre

  Type:
    `str`
  Value:

        '<programlisting>'

### start_q

  Type:
    `str`
  Value:

        '"'

### start_span_footnote

  Type:
    `str`
  Value:

        '<footnote><para>'

### start_strong

  Type:
    `str`
  Value:

        '<emphasis>'

### start_title

  Type:
    `str`
  Value:

        '<section><title>'

### start_ul

  Type:
    `str`
  Value:

        '<itemizedlist>'

Generated by Epydoc 1.1 on Thu May 8 13:18:30 2003 | http://epydoc.sf.net